// Code generated by protoc-gen-go. DO NOT EDIT.
// source: yeti.proto

package protobuf

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import empty "github.com/golang/protobuf/ptypes/empty"
import timestamp "github.com/golang/protobuf/ptypes/timestamp"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

// Primary structure which holds the
// flat list of parameters. Useful
// for the creation of a new dialpeer in order
// to avoid the complexity of the original structure
type Dialpeer struct {
	Enabled              bool                 `protobuf:"varint,1,opt,name=enabled,proto3" json:"enabled,omitempty"`
	ConnectFee           float32              `protobuf:"fixed32,2,opt,name=connect_fee,json=connectFee,proto3" json:"connect_fee,omitempty"`
	InitialRate          float32              `protobuf:"fixed32,3,opt,name=initial_rate,json=initialRate,proto3" json:"initial_rate,omitempty"`
	InitialInterval      int32                `protobuf:"varint,4,opt,name=initial_interval,json=initialInterval,proto3" json:"initial_interval,omitempty"`
	NextInterval         int32                `protobuf:"varint,5,opt,name=next_interval,json=nextInterval,proto3" json:"next_interval,omitempty"`
	NextRate             float32              `protobuf:"fixed32,6,opt,name=next_rate,json=nextRate,proto3" json:"next_rate,omitempty"`
	ValidFrom            *timestamp.Timestamp `protobuf:"bytes,7,opt,name=valid_from,json=validFrom,proto3" json:"valid_from,omitempty"`
	ValidTill            *timestamp.Timestamp `protobuf:"bytes,8,opt,name=valid_till,json=validTill,proto3" json:"valid_till,omitempty"`
	Prefix               string               `protobuf:"bytes,9,opt,name=prefix,proto3" json:"prefix,omitempty"`
	SrcRewriteRule       string               `protobuf:"bytes,10,opt,name=src_rewrite_rule,json=srcRewriteRule,proto3" json:"src_rewrite_rule,omitempty"`
	SrcRewriteResult     string               `protobuf:"bytes,11,opt,name=src_rewrite_result,json=srcRewriteResult,proto3" json:"src_rewrite_result,omitempty"`
	DstRewriteRule       string               `protobuf:"bytes,12,opt,name=dst_rewrite_rule,json=dstRewriteRule,proto3" json:"dst_rewrite_rule,omitempty"`
	DstRewriteResult     string               `protobuf:"bytes,13,opt,name=dst_rewrite_result,json=dstRewriteResult,proto3" json:"dst_rewrite_result,omitempty"`
	AcdLimit             float32              `protobuf:"fixed32,14,opt,name=acd_limit,json=acdLimit,proto3" json:"acd_limit,omitempty"`
	AsrLimit             float32              `protobuf:"fixed32,15,opt,name=asr_limit,json=asrLimit,proto3" json:"asr_limit,omitempty"`
	Locked               bool                 `protobuf:"varint,16,opt,name=locked,proto3" json:"locked,omitempty"`
	Priority             int32                `protobuf:"varint,17,opt,name=priority,proto3" json:"priority,omitempty"`
	ExclusiveRoute       bool                 `protobuf:"varint,18,opt,name=exclusive_route,json=exclusiveRoute,proto3" json:"exclusive_route,omitempty"`
	Capacity             int32                `protobuf:"varint,19,opt,name=capacity,proto3" json:"capacity,omitempty"`
	LcrRateMultiplier    float32              `protobuf:"fixed32,20,opt,name=lcr_rate_multiplier,json=lcrRateMultiplier,proto3" json:"lcr_rate_multiplier,omitempty"`
	ForceHitRate         float32              `protobuf:"fixed32,21,opt,name=force_hit_rate,json=forceHitRate,proto3" json:"force_hit_rate,omitempty"`
	NetworkPrefixId      int32                `protobuf:"varint,22,opt,name=network_prefix_id,json=networkPrefixId,proto3" json:"network_prefix_id,omitempty"`
	CreatedAt            *timestamp.Timestamp `protobuf:"bytes,23,opt,name=created_at,json=createdAt,proto3" json:"created_at,omitempty"`
	ShortCallsLimit      float32              `protobuf:"fixed32,24,opt,name=short_calls_limit,json=shortCallsLimit,proto3" json:"short_calls_limit,omitempty"`
	ExternalId           string               `protobuf:"bytes,25,opt,name=external_id,json=externalId,proto3" json:"external_id,omitempty"`
	RoutingTagIds        []int32              `protobuf:"varint,26,rep,packed,name=routing_tag_ids,json=routingTagIds,proto3" json:"routing_tag_ids,omitempty"`
	RoutingGroup         int32                `protobuf:"varint,27,opt,name=routing_group,json=routingGroup,proto3" json:"routing_group,omitempty"`
	Vendor               int32                `protobuf:"varint,28,opt,name=vendor,proto3" json:"vendor,omitempty"`
	Account              int32                `protobuf:"varint,29,opt,name=account,proto3" json:"account,omitempty"`
	Gateway              int32                `protobuf:"varint,30,opt,name=gateway,proto3" json:"gateway,omitempty"`
	GatewayGroup         int32                `protobuf:"varint,31,opt,name=gateway_group,json=gatewayGroup,proto3" json:"gateway_group,omitempty"`
	RoutingTagModes      int32                `protobuf:"varint,32,opt,name=routing_tag_modes,json=routingTagModes,proto3" json:"routing_tag_modes,omitempty"`
	XXX_NoUnkeyedLiteral struct{}             `json:"-"`
	XXX_unrecognized     []byte               `json:"-"`
	XXX_sizecache        int32                `json:"-"`
}

func (m *Dialpeer) Reset()         { *m = Dialpeer{} }
func (m *Dialpeer) String() string { return proto.CompactTextString(m) }
func (*Dialpeer) ProtoMessage()    {}
func (*Dialpeer) Descriptor() ([]byte, []int) {
	return fileDescriptor_yeti_f0809be79be55f05, []int{0}
}
func (m *Dialpeer) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Dialpeer.Unmarshal(m, b)
}
func (m *Dialpeer) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Dialpeer.Marshal(b, m, deterministic)
}
func (dst *Dialpeer) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Dialpeer.Merge(dst, src)
}
func (m *Dialpeer) XXX_Size() int {
	return xxx_messageInfo_Dialpeer.Size(m)
}
func (m *Dialpeer) XXX_DiscardUnknown() {
	xxx_messageInfo_Dialpeer.DiscardUnknown(m)
}

var xxx_messageInfo_Dialpeer proto.InternalMessageInfo

func (m *Dialpeer) GetEnabled() bool {
	if m != nil {
		return m.Enabled
	}
	return false
}

func (m *Dialpeer) GetConnectFee() float32 {
	if m != nil {
		return m.ConnectFee
	}
	return 0
}

func (m *Dialpeer) GetInitialRate() float32 {
	if m != nil {
		return m.InitialRate
	}
	return 0
}

func (m *Dialpeer) GetInitialInterval() int32 {
	if m != nil {
		return m.InitialInterval
	}
	return 0
}

func (m *Dialpeer) GetNextInterval() int32 {
	if m != nil {
		return m.NextInterval
	}
	return 0
}

func (m *Dialpeer) GetNextRate() float32 {
	if m != nil {
		return m.NextRate
	}
	return 0
}

func (m *Dialpeer) GetValidFrom() *timestamp.Timestamp {
	if m != nil {
		return m.ValidFrom
	}
	return nil
}

func (m *Dialpeer) GetValidTill() *timestamp.Timestamp {
	if m != nil {
		return m.ValidTill
	}
	return nil
}

func (m *Dialpeer) GetPrefix() string {
	if m != nil {
		return m.Prefix
	}
	return ""
}

func (m *Dialpeer) GetSrcRewriteRule() string {
	if m != nil {
		return m.SrcRewriteRule
	}
	return ""
}

func (m *Dialpeer) GetSrcRewriteResult() string {
	if m != nil {
		return m.SrcRewriteResult
	}
	return ""
}

func (m *Dialpeer) GetDstRewriteRule() string {
	if m != nil {
		return m.DstRewriteRule
	}
	return ""
}

func (m *Dialpeer) GetDstRewriteResult() string {
	if m != nil {
		return m.DstRewriteResult
	}
	return ""
}

func (m *Dialpeer) GetAcdLimit() float32 {
	if m != nil {
		return m.AcdLimit
	}
	return 0
}

func (m *Dialpeer) GetAsrLimit() float32 {
	if m != nil {
		return m.AsrLimit
	}
	return 0
}

func (m *Dialpeer) GetLocked() bool {
	if m != nil {
		return m.Locked
	}
	return false
}

func (m *Dialpeer) GetPriority() int32 {
	if m != nil {
		return m.Priority
	}
	return 0
}

func (m *Dialpeer) GetExclusiveRoute() bool {
	if m != nil {
		return m.ExclusiveRoute
	}
	return false
}

func (m *Dialpeer) GetCapacity() int32 {
	if m != nil {
		return m.Capacity
	}
	return 0
}

func (m *Dialpeer) GetLcrRateMultiplier() float32 {
	if m != nil {
		return m.LcrRateMultiplier
	}
	return 0
}

func (m *Dialpeer) GetForceHitRate() float32 {
	if m != nil {
		return m.ForceHitRate
	}
	return 0
}

func (m *Dialpeer) GetNetworkPrefixId() int32 {
	if m != nil {
		return m.NetworkPrefixId
	}
	return 0
}

func (m *Dialpeer) GetCreatedAt() *timestamp.Timestamp {
	if m != nil {
		return m.CreatedAt
	}
	return nil
}

func (m *Dialpeer) GetShortCallsLimit() float32 {
	if m != nil {
		return m.ShortCallsLimit
	}
	return 0
}

func (m *Dialpeer) GetExternalId() string {
	if m != nil {
		return m.ExternalId
	}
	return ""
}

func (m *Dialpeer) GetRoutingTagIds() []int32 {
	if m != nil {
		return m.RoutingTagIds
	}
	return nil
}

func (m *Dialpeer) GetRoutingGroup() int32 {
	if m != nil {
		return m.RoutingGroup
	}
	return 0
}

func (m *Dialpeer) GetVendor() int32 {
	if m != nil {
		return m.Vendor
	}
	return 0
}

func (m *Dialpeer) GetAccount() int32 {
	if m != nil {
		return m.Account
	}
	return 0
}

func (m *Dialpeer) GetGateway() int32 {
	if m != nil {
		return m.Gateway
	}
	return 0
}

func (m *Dialpeer) GetGatewayGroup() int32 {
	if m != nil {
		return m.GatewayGroup
	}
	return 0
}

func (m *Dialpeer) GetRoutingTagModes() int32 {
	if m != nil {
		return m.RoutingTagModes
	}
	return 0
}

// Necessary since we have to send
// {"data":{ envelope to the Yeti API
type NewDataEnvelope struct {
	Data                 *NewDialpeer `protobuf:"bytes,1,opt,name=data,proto3" json:"data,omitempty"`
	XXX_NoUnkeyedLiteral struct{}     `json:"-"`
	XXX_unrecognized     []byte       `json:"-"`
	XXX_sizecache        int32        `json:"-"`
}

func (m *NewDataEnvelope) Reset()         { *m = NewDataEnvelope{} }
func (m *NewDataEnvelope) String() string { return proto.CompactTextString(m) }
func (*NewDataEnvelope) ProtoMessage()    {}
func (*NewDataEnvelope) Descriptor() ([]byte, []int) {
	return fileDescriptor_yeti_f0809be79be55f05, []int{1}
}
func (m *NewDataEnvelope) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_NewDataEnvelope.Unmarshal(m, b)
}
func (m *NewDataEnvelope) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_NewDataEnvelope.Marshal(b, m, deterministic)
}
func (dst *NewDataEnvelope) XXX_Merge(src proto.Message) {
	xxx_messageInfo_NewDataEnvelope.Merge(dst, src)
}
func (m *NewDataEnvelope) XXX_Size() int {
	return xxx_messageInfo_NewDataEnvelope.Size(m)
}
func (m *NewDataEnvelope) XXX_DiscardUnknown() {
	xxx_messageInfo_NewDataEnvelope.DiscardUnknown(m)
}

var xxx_messageInfo_NewDataEnvelope proto.InternalMessageInfo

func (m *NewDataEnvelope) GetData() *NewDialpeer {
	if m != nil {
		return m.Data
	}
	return nil
}

// Primary structure of the new dialpeer
type NewDialpeer struct {
	Type                 string                    `protobuf:"bytes,1,opt,name=type,proto3" json:"type,omitempty"`
	Attributes           *DialpeerAttributes       `protobuf:"bytes,2,opt,name=attributes,proto3" json:"attributes,omitempty"`
	Relationships        *NewDialpeerRelationships `protobuf:"bytes,3,opt,name=relationships,proto3" json:"relationships,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                  `json:"-"`
	XXX_unrecognized     []byte                    `json:"-"`
	XXX_sizecache        int32                     `json:"-"`
}

func (m *NewDialpeer) Reset()         { *m = NewDialpeer{} }
func (m *NewDialpeer) String() string { return proto.CompactTextString(m) }
func (*NewDialpeer) ProtoMessage()    {}
func (*NewDialpeer) Descriptor() ([]byte, []int) {
	return fileDescriptor_yeti_f0809be79be55f05, []int{2}
}
func (m *NewDialpeer) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_NewDialpeer.Unmarshal(m, b)
}
func (m *NewDialpeer) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_NewDialpeer.Marshal(b, m, deterministic)
}
func (dst *NewDialpeer) XXX_Merge(src proto.Message) {
	xxx_messageInfo_NewDialpeer.Merge(dst, src)
}
func (m *NewDialpeer) XXX_Size() int {
	return xxx_messageInfo_NewDialpeer.Size(m)
}
func (m *NewDialpeer) XXX_DiscardUnknown() {
	xxx_messageInfo_NewDialpeer.DiscardUnknown(m)
}

var xxx_messageInfo_NewDialpeer proto.InternalMessageInfo

func (m *NewDialpeer) GetType() string {
	if m != nil {
		return m.Type
	}
	return ""
}

func (m *NewDialpeer) GetAttributes() *DialpeerAttributes {
	if m != nil {
		return m.Attributes
	}
	return nil
}

func (m *NewDialpeer) GetRelationships() *NewDialpeerRelationships {
	if m != nil {
		return m.Relationships
	}
	return nil
}

type RelationData struct {
	Type                 string   `protobuf:"bytes,1,opt,name=type,proto3" json:"type,omitempty"`
	Id                   int32    `protobuf:"varint,2,opt,name=id,proto3" json:"id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RelationData) Reset()         { *m = RelationData{} }
func (m *RelationData) String() string { return proto.CompactTextString(m) }
func (*RelationData) ProtoMessage()    {}
func (*RelationData) Descriptor() ([]byte, []int) {
	return fileDescriptor_yeti_f0809be79be55f05, []int{3}
}
func (m *RelationData) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RelationData.Unmarshal(m, b)
}
func (m *RelationData) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RelationData.Marshal(b, m, deterministic)
}
func (dst *RelationData) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RelationData.Merge(dst, src)
}
func (m *RelationData) XXX_Size() int {
	return xxx_messageInfo_RelationData.Size(m)
}
func (m *RelationData) XXX_DiscardUnknown() {
	xxx_messageInfo_RelationData.DiscardUnknown(m)
}

var xxx_messageInfo_RelationData proto.InternalMessageInfo

func (m *RelationData) GetType() string {
	if m != nil {
		return m.Type
	}
	return ""
}

func (m *RelationData) GetId() int32 {
	if m != nil {
		return m.Id
	}
	return 0
}

type RelationLinks struct {
	Self                 string   `protobuf:"bytes,1,opt,name=self,proto3" json:"self,omitempty"`
	Related              string   `protobuf:"bytes,2,opt,name=related,proto3" json:"related,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *RelationLinks) Reset()         { *m = RelationLinks{} }
func (m *RelationLinks) String() string { return proto.CompactTextString(m) }
func (*RelationLinks) ProtoMessage()    {}
func (*RelationLinks) Descriptor() ([]byte, []int) {
	return fileDescriptor_yeti_f0809be79be55f05, []int{4}
}
func (m *RelationLinks) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_RelationLinks.Unmarshal(m, b)
}
func (m *RelationLinks) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_RelationLinks.Marshal(b, m, deterministic)
}
func (dst *RelationLinks) XXX_Merge(src proto.Message) {
	xxx_messageInfo_RelationLinks.Merge(dst, src)
}
func (m *RelationLinks) XXX_Size() int {
	return xxx_messageInfo_RelationLinks.Size(m)
}
func (m *RelationLinks) XXX_DiscardUnknown() {
	xxx_messageInfo_RelationLinks.DiscardUnknown(m)
}

var xxx_messageInfo_RelationLinks proto.InternalMessageInfo

func (m *RelationLinks) GetSelf() string {
	if m != nil {
		return m.Self
	}
	return ""
}

func (m *RelationLinks) GetRelated() string {
	if m != nil {
		return m.Related
	}
	return ""
}

type Relation struct {
	Data                 *RelationData `protobuf:"bytes,1,opt,name=data,proto3" json:"data,omitempty"`
	XXX_NoUnkeyedLiteral struct{}      `json:"-"`
	XXX_unrecognized     []byte        `json:"-"`
	XXX_sizecache        int32         `json:"-"`
}

func (m *Relation) Reset()         { *m = Relation{} }
func (m *Relation) String() string { return proto.CompactTextString(m) }
func (*Relation) ProtoMessage()    {}
func (*Relation) Descriptor() ([]byte, []int) {
	return fileDescriptor_yeti_f0809be79be55f05, []int{5}
}
func (m *Relation) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Relation.Unmarshal(m, b)
}
func (m *Relation) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Relation.Marshal(b, m, deterministic)
}
func (dst *Relation) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Relation.Merge(dst, src)
}
func (m *Relation) XXX_Size() int {
	return xxx_messageInfo_Relation.Size(m)
}
func (m *Relation) XXX_DiscardUnknown() {
	xxx_messageInfo_Relation.DiscardUnknown(m)
}

var xxx_messageInfo_Relation proto.InternalMessageInfo

func (m *Relation) GetData() *RelationData {
	if m != nil {
		return m.Data
	}
	return nil
}

type NewDialpeerRelationships struct {
	RoutingGroup         *Relation `protobuf:"bytes,1,opt,name=routing_group,json=routing-group,proto3" json:"routing_group,omitempty"`
	Vendor               *Relation `protobuf:"bytes,2,opt,name=vendor,proto3" json:"vendor,omitempty"`
	Account              *Relation `protobuf:"bytes,3,opt,name=account,proto3" json:"account,omitempty"`
	Gateway              *Relation `protobuf:"bytes,4,opt,name=gateway,proto3" json:"gateway,omitempty"`
	GatewayGroup         *Relation `protobuf:"bytes,5,opt,name=gateway_group,json=gateway-group,proto3" json:"gateway_group,omitempty"`
	XXX_NoUnkeyedLiteral struct{}  `json:"-"`
	XXX_unrecognized     []byte    `json:"-"`
	XXX_sizecache        int32     `json:"-"`
}

func (m *NewDialpeerRelationships) Reset()         { *m = NewDialpeerRelationships{} }
func (m *NewDialpeerRelationships) String() string { return proto.CompactTextString(m) }
func (*NewDialpeerRelationships) ProtoMessage()    {}
func (*NewDialpeerRelationships) Descriptor() ([]byte, []int) {
	return fileDescriptor_yeti_f0809be79be55f05, []int{6}
}
func (m *NewDialpeerRelationships) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_NewDialpeerRelationships.Unmarshal(m, b)
}
func (m *NewDialpeerRelationships) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_NewDialpeerRelationships.Marshal(b, m, deterministic)
}
func (dst *NewDialpeerRelationships) XXX_Merge(src proto.Message) {
	xxx_messageInfo_NewDialpeerRelationships.Merge(dst, src)
}
func (m *NewDialpeerRelationships) XXX_Size() int {
	return xxx_messageInfo_NewDialpeerRelationships.Size(m)
}
func (m *NewDialpeerRelationships) XXX_DiscardUnknown() {
	xxx_messageInfo_NewDialpeerRelationships.DiscardUnknown(m)
}

var xxx_messageInfo_NewDialpeerRelationships proto.InternalMessageInfo

func (m *NewDialpeerRelationships) GetRoutingGroup() *Relation {
	if m != nil {
		return m.RoutingGroup
	}
	return nil
}

func (m *NewDialpeerRelationships) GetVendor() *Relation {
	if m != nil {
		return m.Vendor
	}
	return nil
}

func (m *NewDialpeerRelationships) GetAccount() *Relation {
	if m != nil {
		return m.Account
	}
	return nil
}

func (m *NewDialpeerRelationships) GetGateway() *Relation {
	if m != nil {
		return m.Gateway
	}
	return nil
}

func (m *NewDialpeerRelationships) GetGatewayGroup() *Relation {
	if m != nil {
		return m.GatewayGroup
	}
	return nil
}

// Necessary because the server response with
// {"data":{ envelope
type ExistingDataEnvelope struct {
	Data                 *ExistingDialpeer `protobuf:"bytes,1,opt,name=data,proto3" json:"data,omitempty"`
	XXX_NoUnkeyedLiteral struct{}          `json:"-"`
	XXX_unrecognized     []byte            `json:"-"`
	XXX_sizecache        int32             `json:"-"`
}

func (m *ExistingDataEnvelope) Reset()         { *m = ExistingDataEnvelope{} }
func (m *ExistingDataEnvelope) String() string { return proto.CompactTextString(m) }
func (*ExistingDataEnvelope) ProtoMessage()    {}
func (*ExistingDataEnvelope) Descriptor() ([]byte, []int) {
	return fileDescriptor_yeti_f0809be79be55f05, []int{7}
}
func (m *ExistingDataEnvelope) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ExistingDataEnvelope.Unmarshal(m, b)
}
func (m *ExistingDataEnvelope) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ExistingDataEnvelope.Marshal(b, m, deterministic)
}
func (dst *ExistingDataEnvelope) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ExistingDataEnvelope.Merge(dst, src)
}
func (m *ExistingDataEnvelope) XXX_Size() int {
	return xxx_messageInfo_ExistingDataEnvelope.Size(m)
}
func (m *ExistingDataEnvelope) XXX_DiscardUnknown() {
	xxx_messageInfo_ExistingDataEnvelope.DiscardUnknown(m)
}

var xxx_messageInfo_ExistingDataEnvelope proto.InternalMessageInfo

func (m *ExistingDataEnvelope) GetData() *ExistingDialpeer {
	if m != nil {
		return m.Data
	}
	return nil
}

// Primary structure of the existing dialpeer
type ExistingDialpeer struct {
	Type                 string              `protobuf:"bytes,1,opt,name=type,proto3" json:"type,omitempty"`
	Attributes           *DialpeerAttributes `protobuf:"bytes,2,opt,name=attributes,proto3" json:"attributes,omitempty"`
	Id                   string              `protobuf:"bytes,3,opt,name=id,proto3" json:"id,omitempty"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *ExistingDialpeer) Reset()         { *m = ExistingDialpeer{} }
func (m *ExistingDialpeer) String() string { return proto.CompactTextString(m) }
func (*ExistingDialpeer) ProtoMessage()    {}
func (*ExistingDialpeer) Descriptor() ([]byte, []int) {
	return fileDescriptor_yeti_f0809be79be55f05, []int{8}
}
func (m *ExistingDialpeer) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ExistingDialpeer.Unmarshal(m, b)
}
func (m *ExistingDialpeer) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ExistingDialpeer.Marshal(b, m, deterministic)
}
func (dst *ExistingDialpeer) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ExistingDialpeer.Merge(dst, src)
}
func (m *ExistingDialpeer) XXX_Size() int {
	return xxx_messageInfo_ExistingDialpeer.Size(m)
}
func (m *ExistingDialpeer) XXX_DiscardUnknown() {
	xxx_messageInfo_ExistingDialpeer.DiscardUnknown(m)
}

var xxx_messageInfo_ExistingDialpeer proto.InternalMessageInfo

func (m *ExistingDialpeer) GetType() string {
	if m != nil {
		return m.Type
	}
	return ""
}

func (m *ExistingDialpeer) GetAttributes() *DialpeerAttributes {
	if m != nil {
		return m.Attributes
	}
	return nil
}

func (m *ExistingDialpeer) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

type ListOfExistingDialpeers struct {
	Data                 []*ExistingDialpeer `protobuf:"bytes,1,rep,name=data,proto3" json:"data,omitempty"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *ListOfExistingDialpeers) Reset()         { *m = ListOfExistingDialpeers{} }
func (m *ListOfExistingDialpeers) String() string { return proto.CompactTextString(m) }
func (*ListOfExistingDialpeers) ProtoMessage()    {}
func (*ListOfExistingDialpeers) Descriptor() ([]byte, []int) {
	return fileDescriptor_yeti_f0809be79be55f05, []int{9}
}
func (m *ListOfExistingDialpeers) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListOfExistingDialpeers.Unmarshal(m, b)
}
func (m *ListOfExistingDialpeers) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListOfExistingDialpeers.Marshal(b, m, deterministic)
}
func (dst *ListOfExistingDialpeers) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListOfExistingDialpeers.Merge(dst, src)
}
func (m *ListOfExistingDialpeers) XXX_Size() int {
	return xxx_messageInfo_ListOfExistingDialpeers.Size(m)
}
func (m *ListOfExistingDialpeers) XXX_DiscardUnknown() {
	xxx_messageInfo_ListOfExistingDialpeers.DiscardUnknown(m)
}

var xxx_messageInfo_ListOfExistingDialpeers proto.InternalMessageInfo

func (m *ListOfExistingDialpeers) GetData() []*ExistingDialpeer {
	if m != nil {
		return m.Data
	}
	return nil
}

type DialpeerAttributes struct {
	Enabled              bool                 `protobuf:"varint,1,opt,name=enabled,proto3" json:"enabled,omitempty"`
	ConnectFee           float32              `protobuf:"fixed32,2,opt,name=connect_fee,json=connect-fee,proto3" json:"connect_fee,omitempty"`
	InitialRate          float32              `protobuf:"fixed32,3,opt,name=initial_rate,json=initial-rate,proto3" json:"initial_rate,omitempty"`
	InitialInterval      int32                `protobuf:"varint,4,opt,name=initial_interval,json=initial-interval,proto3" json:"initial_interval,omitempty"`
	NextInterval         int32                `protobuf:"varint,5,opt,name=next_interval,json=next-interval,proto3" json:"next_interval,omitempty"`
	NextRate             float32              `protobuf:"fixed32,6,opt,name=next_rate,json=next-rate,proto3" json:"next_rate,omitempty"`
	ValidFrom            *timestamp.Timestamp `protobuf:"bytes,7,opt,name=valid_from,json=valid-from,proto3" json:"valid_from,omitempty"`
	ValidTill            *timestamp.Timestamp `protobuf:"bytes,8,opt,name=valid_till,json=valid-till,proto3" json:"valid_till,omitempty"`
	Prefix               string               `protobuf:"bytes,9,opt,name=prefix,proto3" json:"prefix,omitempty"`
	SrcRewriteRule       string               `protobuf:"bytes,10,opt,name=src_rewrite_rule,json=src-rewrite-rule,proto3" json:"src_rewrite_rule,omitempty"`
	SrcRewriteResult     string               `protobuf:"bytes,11,opt,name=src_rewrite_result,json=src-rewrite-result,proto3" json:"src_rewrite_result,omitempty"`
	DstRewriteRule       string               `protobuf:"bytes,12,opt,name=dst_rewrite_rule,json=dst-rewrite-rule,proto3" json:"dst_rewrite_rule,omitempty"`
	DstRewriteResult     string               `protobuf:"bytes,13,opt,name=dst_rewrite_result,json=dst-rewrite-result,proto3" json:"dst_rewrite_result,omitempty"`
	AcdLimit             float32              `protobuf:"fixed32,14,opt,name=acd_limit,json=acd-limit,proto3" json:"acd_limit,omitempty"`
	AsrLimit             float32              `protobuf:"fixed32,15,opt,name=asr_limit,json=asr-limit,proto3" json:"asr_limit,omitempty"`
	Locked               bool                 `protobuf:"varint,16,opt,name=locked,proto3" json:"locked,omitempty"`
	Priority             int32                `protobuf:"varint,17,opt,name=priority,proto3" json:"priority,omitempty"`
	ExclusiveRoute       bool                 `protobuf:"varint,18,opt,name=exclusive_route,json=exclusive-route,proto3" json:"exclusive_route,omitempty"`
	Capacity             int32                `protobuf:"varint,19,opt,name=capacity,proto3" json:"capacity,omitempty"`
	LcrRateMultiplier    float32              `protobuf:"fixed32,20,opt,name=lcr_rate_multiplier,json=lcr-rate-multiplier,proto3" json:"lcr_rate_multiplier,omitempty"`
	ForceHitRate         float32              `protobuf:"fixed32,21,opt,name=force_hit_rate,json=force-hit-rate,proto3" json:"force_hit_rate,omitempty"`
	NetworkPrefixId      int32                `protobuf:"varint,22,opt,name=network_prefix_id,json=network-prefix-id,proto3" json:"network_prefix_id,omitempty"`
	CreatedAt            *timestamp.Timestamp `protobuf:"bytes,23,opt,name=created_at,json=created-at,proto3" json:"created_at,omitempty"`
	ShortCallsLimit      float32              `protobuf:"fixed32,24,opt,name=short_calls_limit,json=short-calls-limit,proto3" json:"short_calls_limit,omitempty"`
	ExternalId           string               `protobuf:"bytes,25,opt,name=external_id,json=external-id,proto3" json:"external_id,omitempty"`
	RoutingTagIds        []int32              `protobuf:"varint,26,rep,packed,name=routing_tag_ids,json=routing-tag-ids,proto3" json:"routing_tag_ids,omitempty"`
	XXX_NoUnkeyedLiteral struct{}             `json:"-"`
	XXX_unrecognized     []byte               `json:"-"`
	XXX_sizecache        int32                `json:"-"`
}

func (m *DialpeerAttributes) Reset()         { *m = DialpeerAttributes{} }
func (m *DialpeerAttributes) String() string { return proto.CompactTextString(m) }
func (*DialpeerAttributes) ProtoMessage()    {}
func (*DialpeerAttributes) Descriptor() ([]byte, []int) {
	return fileDescriptor_yeti_f0809be79be55f05, []int{10}
}
func (m *DialpeerAttributes) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DialpeerAttributes.Unmarshal(m, b)
}
func (m *DialpeerAttributes) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DialpeerAttributes.Marshal(b, m, deterministic)
}
func (dst *DialpeerAttributes) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DialpeerAttributes.Merge(dst, src)
}
func (m *DialpeerAttributes) XXX_Size() int {
	return xxx_messageInfo_DialpeerAttributes.Size(m)
}
func (m *DialpeerAttributes) XXX_DiscardUnknown() {
	xxx_messageInfo_DialpeerAttributes.DiscardUnknown(m)
}

var xxx_messageInfo_DialpeerAttributes proto.InternalMessageInfo

func (m *DialpeerAttributes) GetEnabled() bool {
	if m != nil {
		return m.Enabled
	}
	return false
}

func (m *DialpeerAttributes) GetConnectFee() float32 {
	if m != nil {
		return m.ConnectFee
	}
	return 0
}

func (m *DialpeerAttributes) GetInitialRate() float32 {
	if m != nil {
		return m.InitialRate
	}
	return 0
}

func (m *DialpeerAttributes) GetInitialInterval() int32 {
	if m != nil {
		return m.InitialInterval
	}
	return 0
}

func (m *DialpeerAttributes) GetNextInterval() int32 {
	if m != nil {
		return m.NextInterval
	}
	return 0
}

func (m *DialpeerAttributes) GetNextRate() float32 {
	if m != nil {
		return m.NextRate
	}
	return 0
}

func (m *DialpeerAttributes) GetValidFrom() *timestamp.Timestamp {
	if m != nil {
		return m.ValidFrom
	}
	return nil
}

func (m *DialpeerAttributes) GetValidTill() *timestamp.Timestamp {
	if m != nil {
		return m.ValidTill
	}
	return nil
}

func (m *DialpeerAttributes) GetPrefix() string {
	if m != nil {
		return m.Prefix
	}
	return ""
}

func (m *DialpeerAttributes) GetSrcRewriteRule() string {
	if m != nil {
		return m.SrcRewriteRule
	}
	return ""
}

func (m *DialpeerAttributes) GetSrcRewriteResult() string {
	if m != nil {
		return m.SrcRewriteResult
	}
	return ""
}

func (m *DialpeerAttributes) GetDstRewriteRule() string {
	if m != nil {
		return m.DstRewriteRule
	}
	return ""
}

func (m *DialpeerAttributes) GetDstRewriteResult() string {
	if m != nil {
		return m.DstRewriteResult
	}
	return ""
}

func (m *DialpeerAttributes) GetAcdLimit() float32 {
	if m != nil {
		return m.AcdLimit
	}
	return 0
}

func (m *DialpeerAttributes) GetAsrLimit() float32 {
	if m != nil {
		return m.AsrLimit
	}
	return 0
}

func (m *DialpeerAttributes) GetLocked() bool {
	if m != nil {
		return m.Locked
	}
	return false
}

func (m *DialpeerAttributes) GetPriority() int32 {
	if m != nil {
		return m.Priority
	}
	return 0
}

func (m *DialpeerAttributes) GetExclusiveRoute() bool {
	if m != nil {
		return m.ExclusiveRoute
	}
	return false
}

func (m *DialpeerAttributes) GetCapacity() int32 {
	if m != nil {
		return m.Capacity
	}
	return 0
}

func (m *DialpeerAttributes) GetLcrRateMultiplier() float32 {
	if m != nil {
		return m.LcrRateMultiplier
	}
	return 0
}

func (m *DialpeerAttributes) GetForceHitRate() float32 {
	if m != nil {
		return m.ForceHitRate
	}
	return 0
}

func (m *DialpeerAttributes) GetNetworkPrefixId() int32 {
	if m != nil {
		return m.NetworkPrefixId
	}
	return 0
}

func (m *DialpeerAttributes) GetCreatedAt() *timestamp.Timestamp {
	if m != nil {
		return m.CreatedAt
	}
	return nil
}

func (m *DialpeerAttributes) GetShortCallsLimit() float32 {
	if m != nil {
		return m.ShortCallsLimit
	}
	return 0
}

func (m *DialpeerAttributes) GetExternalId() string {
	if m != nil {
		return m.ExternalId
	}
	return ""
}

func (m *DialpeerAttributes) GetRoutingTagIds() []int32 {
	if m != nil {
		return m.RoutingTagIds
	}
	return nil
}

type DialpeerNextRate struct {
	Type                 string   `protobuf:"bytes,1,opt,name=type,proto3" json:"type,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DialpeerNextRate) Reset()         { *m = DialpeerNextRate{} }
func (m *DialpeerNextRate) String() string { return proto.CompactTextString(m) }
func (*DialpeerNextRate) ProtoMessage()    {}
func (*DialpeerNextRate) Descriptor() ([]byte, []int) {
	return fileDescriptor_yeti_f0809be79be55f05, []int{11}
}
func (m *DialpeerNextRate) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DialpeerNextRate.Unmarshal(m, b)
}
func (m *DialpeerNextRate) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DialpeerNextRate.Marshal(b, m, deterministic)
}
func (dst *DialpeerNextRate) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DialpeerNextRate.Merge(dst, src)
}
func (m *DialpeerNextRate) XXX_Size() int {
	return xxx_messageInfo_DialpeerNextRate.Size(m)
}
func (m *DialpeerNextRate) XXX_DiscardUnknown() {
	xxx_messageInfo_DialpeerNextRate.DiscardUnknown(m)
}

var xxx_messageInfo_DialpeerNextRate proto.InternalMessageInfo

func (m *DialpeerNextRate) GetType() string {
	if m != nil {
		return m.Type
	}
	return ""
}

type DialpeerNextRateAttributes struct {
	NextRate             float32              `protobuf:"fixed32,1,opt,name=next_rate,json=next-rate,proto3" json:"next_rate,omitempty"`
	InitialRate          float32              `protobuf:"fixed32,2,opt,name=initial_rate,json=initial-rate,proto3" json:"initial_rate,omitempty"`
	InitialInterval      int32                `protobuf:"varint,3,opt,name=initial_interval,json=initial-interval,proto3" json:"initial_interval,omitempty"`
	NextInterval         int32                `protobuf:"varint,4,opt,name=next_interval,json=next-interval,proto3" json:"next_interval,omitempty"`
	ConnectFee           float32              `protobuf:"fixed32,5,opt,name=connect_fee,json=connect-fee,proto3" json:"connect_fee,omitempty"`
	ApplyTime            *timestamp.Timestamp `protobuf:"bytes,6,opt,name=apply_time,json=apply-time,proto3" json:"apply_time,omitempty"`
	Applied              bool                 `protobuf:"varint,7,opt,name=applied,proto3" json:"applied,omitempty"`
	ExternalId           string               `protobuf:"bytes,8,opt,name=external_id,json=externalId,proto3" json:"external_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{}             `json:"-"`
	XXX_unrecognized     []byte               `json:"-"`
	XXX_sizecache        int32                `json:"-"`
}

func (m *DialpeerNextRateAttributes) Reset()         { *m = DialpeerNextRateAttributes{} }
func (m *DialpeerNextRateAttributes) String() string { return proto.CompactTextString(m) }
func (*DialpeerNextRateAttributes) ProtoMessage()    {}
func (*DialpeerNextRateAttributes) Descriptor() ([]byte, []int) {
	return fileDescriptor_yeti_f0809be79be55f05, []int{12}
}
func (m *DialpeerNextRateAttributes) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DialpeerNextRateAttributes.Unmarshal(m, b)
}
func (m *DialpeerNextRateAttributes) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DialpeerNextRateAttributes.Marshal(b, m, deterministic)
}
func (dst *DialpeerNextRateAttributes) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DialpeerNextRateAttributes.Merge(dst, src)
}
func (m *DialpeerNextRateAttributes) XXX_Size() int {
	return xxx_messageInfo_DialpeerNextRateAttributes.Size(m)
}
func (m *DialpeerNextRateAttributes) XXX_DiscardUnknown() {
	xxx_messageInfo_DialpeerNextRateAttributes.DiscardUnknown(m)
}

var xxx_messageInfo_DialpeerNextRateAttributes proto.InternalMessageInfo

func (m *DialpeerNextRateAttributes) GetNextRate() float32 {
	if m != nil {
		return m.NextRate
	}
	return 0
}

func (m *DialpeerNextRateAttributes) GetInitialRate() float32 {
	if m != nil {
		return m.InitialRate
	}
	return 0
}

func (m *DialpeerNextRateAttributes) GetInitialInterval() int32 {
	if m != nil {
		return m.InitialInterval
	}
	return 0
}

func (m *DialpeerNextRateAttributes) GetNextInterval() int32 {
	if m != nil {
		return m.NextInterval
	}
	return 0
}

func (m *DialpeerNextRateAttributes) GetConnectFee() float32 {
	if m != nil {
		return m.ConnectFee
	}
	return 0
}

func (m *DialpeerNextRateAttributes) GetApplyTime() *timestamp.Timestamp {
	if m != nil {
		return m.ApplyTime
	}
	return nil
}

func (m *DialpeerNextRateAttributes) GetApplied() bool {
	if m != nil {
		return m.Applied
	}
	return false
}

func (m *DialpeerNextRateAttributes) GetExternalId() string {
	if m != nil {
		return m.ExternalId
	}
	return ""
}

type DialpeerNextRateRelationships struct {
	Dialpeer             *Relation `protobuf:"bytes,1,opt,name=dialpeer,proto3" json:"dialpeer,omitempty"`
	XXX_NoUnkeyedLiteral struct{}  `json:"-"`
	XXX_unrecognized     []byte    `json:"-"`
	XXX_sizecache        int32     `json:"-"`
}

func (m *DialpeerNextRateRelationships) Reset()         { *m = DialpeerNextRateRelationships{} }
func (m *DialpeerNextRateRelationships) String() string { return proto.CompactTextString(m) }
func (*DialpeerNextRateRelationships) ProtoMessage()    {}
func (*DialpeerNextRateRelationships) Descriptor() ([]byte, []int) {
	return fileDescriptor_yeti_f0809be79be55f05, []int{13}
}
func (m *DialpeerNextRateRelationships) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DialpeerNextRateRelationships.Unmarshal(m, b)
}
func (m *DialpeerNextRateRelationships) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DialpeerNextRateRelationships.Marshal(b, m, deterministic)
}
func (dst *DialpeerNextRateRelationships) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DialpeerNextRateRelationships.Merge(dst, src)
}
func (m *DialpeerNextRateRelationships) XXX_Size() int {
	return xxx_messageInfo_DialpeerNextRateRelationships.Size(m)
}
func (m *DialpeerNextRateRelationships) XXX_DiscardUnknown() {
	xxx_messageInfo_DialpeerNextRateRelationships.DiscardUnknown(m)
}

var xxx_messageInfo_DialpeerNextRateRelationships proto.InternalMessageInfo

func (m *DialpeerNextRateRelationships) GetDialpeer() *Relation {
	if m != nil {
		return m.Dialpeer
	}
	return nil
}

type ListOfDialpeerNextRates struct {
	Data                 []*DialpeerNextRate `protobuf:"bytes,1,rep,name=data,proto3" json:"data,omitempty"`
	XXX_NoUnkeyedLiteral struct{}            `json:"-"`
	XXX_unrecognized     []byte              `json:"-"`
	XXX_sizecache        int32               `json:"-"`
}

func (m *ListOfDialpeerNextRates) Reset()         { *m = ListOfDialpeerNextRates{} }
func (m *ListOfDialpeerNextRates) String() string { return proto.CompactTextString(m) }
func (*ListOfDialpeerNextRates) ProtoMessage()    {}
func (*ListOfDialpeerNextRates) Descriptor() ([]byte, []int) {
	return fileDescriptor_yeti_f0809be79be55f05, []int{14}
}
func (m *ListOfDialpeerNextRates) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListOfDialpeerNextRates.Unmarshal(m, b)
}
func (m *ListOfDialpeerNextRates) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListOfDialpeerNextRates.Marshal(b, m, deterministic)
}
func (dst *ListOfDialpeerNextRates) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListOfDialpeerNextRates.Merge(dst, src)
}
func (m *ListOfDialpeerNextRates) XXX_Size() int {
	return xxx_messageInfo_ListOfDialpeerNextRates.Size(m)
}
func (m *ListOfDialpeerNextRates) XXX_DiscardUnknown() {
	xxx_messageInfo_ListOfDialpeerNextRates.DiscardUnknown(m)
}

var xxx_messageInfo_ListOfDialpeerNextRates proto.InternalMessageInfo

func (m *ListOfDialpeerNextRates) GetData() []*DialpeerNextRate {
	if m != nil {
		return m.Data
	}
	return nil
}

// Filters structure is useful for search requests
// you can use either one or all parameters
type Filters struct {
	Prefix               string   `protobuf:"bytes,1,opt,name=prefix,proto3" json:"prefix,omitempty"`
	ExternalId           string   `protobuf:"bytes,2,opt,name=external_id,json=externalId,proto3" json:"external_id,omitempty"`
	RoutingGroupId       string   `protobuf:"bytes,3,opt,name=routing_group_id,json=routingGroupId,proto3" json:"routing_group_id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Filters) Reset()         { *m = Filters{} }
func (m *Filters) String() string { return proto.CompactTextString(m) }
func (*Filters) ProtoMessage()    {}
func (*Filters) Descriptor() ([]byte, []int) {
	return fileDescriptor_yeti_f0809be79be55f05, []int{15}
}
func (m *Filters) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Filters.Unmarshal(m, b)
}
func (m *Filters) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Filters.Marshal(b, m, deterministic)
}
func (dst *Filters) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Filters.Merge(dst, src)
}
func (m *Filters) XXX_Size() int {
	return xxx_messageInfo_Filters.Size(m)
}
func (m *Filters) XXX_DiscardUnknown() {
	xxx_messageInfo_Filters.DiscardUnknown(m)
}

var xxx_messageInfo_Filters proto.InternalMessageInfo

func (m *Filters) GetPrefix() string {
	if m != nil {
		return m.Prefix
	}
	return ""
}

func (m *Filters) GetExternalId() string {
	if m != nil {
		return m.ExternalId
	}
	return ""
}

func (m *Filters) GetRoutingGroupId() string {
	if m != nil {
		return m.RoutingGroupId
	}
	return ""
}

// Version
type Version struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Version) Reset()         { *m = Version{} }
func (m *Version) String() string { return proto.CompactTextString(m) }
func (*Version) ProtoMessage()    {}
func (*Version) Descriptor() ([]byte, []int) {
	return fileDescriptor_yeti_f0809be79be55f05, []int{16}
}
func (m *Version) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Version.Unmarshal(m, b)
}
func (m *Version) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Version.Marshal(b, m, deterministic)
}
func (dst *Version) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Version.Merge(dst, src)
}
func (m *Version) XXX_Size() int {
	return xxx_messageInfo_Version.Size(m)
}
func (m *Version) XXX_DiscardUnknown() {
	xxx_messageInfo_Version.DiscardUnknown(m)
}

var xxx_messageInfo_Version proto.InternalMessageInfo

func (m *Version) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func init() {
	proto.RegisterType((*Dialpeer)(nil), "Dialpeer")
	proto.RegisterType((*NewDataEnvelope)(nil), "NewDataEnvelope")
	proto.RegisterType((*NewDialpeer)(nil), "NewDialpeer")
	proto.RegisterType((*RelationData)(nil), "RelationData")
	proto.RegisterType((*RelationLinks)(nil), "RelationLinks")
	proto.RegisterType((*Relation)(nil), "Relation")
	proto.RegisterType((*NewDialpeerRelationships)(nil), "NewDialpeerRelationships")
	proto.RegisterType((*ExistingDataEnvelope)(nil), "ExistingDataEnvelope")
	proto.RegisterType((*ExistingDialpeer)(nil), "ExistingDialpeer")
	proto.RegisterType((*ListOfExistingDialpeers)(nil), "ListOfExistingDialpeers")
	proto.RegisterType((*DialpeerAttributes)(nil), "DialpeerAttributes")
	proto.RegisterType((*DialpeerNextRate)(nil), "DialpeerNextRate")
	proto.RegisterType((*DialpeerNextRateAttributes)(nil), "DialpeerNextRateAttributes")
	proto.RegisterType((*DialpeerNextRateRelationships)(nil), "DialpeerNextRateRelationships")
	proto.RegisterType((*ListOfDialpeerNextRates)(nil), "ListOfDialpeerNextRates")
	proto.RegisterType((*Filters)(nil), "Filters")
	proto.RegisterType((*Version)(nil), "Version")
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// YetiClient is the client API for Yeti service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type YetiClient interface {
	GetDialpeerByID(ctx context.Context, in *ExistingDialpeer, opts ...grpc.CallOption) (*ExistingDialpeer, error)
	GetDialpeerByFilter(ctx context.Context, in *Filters, opts ...grpc.CallOption) (Yeti_GetDialpeerByFilterClient, error)
	CreateDialpeer(ctx context.Context, in *Dialpeer, opts ...grpc.CallOption) (*ExistingDialpeer, error)
	UpdateDialpeer(ctx context.Context, in *ExistingDialpeer, opts ...grpc.CallOption) (*ExistingDialpeer, error)
	CreateDialpeerNextRate(ctx context.Context, in *DialpeerNextRate, opts ...grpc.CallOption) (*DialpeerNextRate, error)
	GetDialpeerNextRate(ctx context.Context, in *DialpeerNextRate, opts ...grpc.CallOption) (*DialpeerNextRate, error)
	ListDialpeerNextRate(ctx context.Context, in *DialpeerNextRate, opts ...grpc.CallOption) (Yeti_ListDialpeerNextRateClient, error)
	UpdateDialpeerNextRate(ctx context.Context, in *DialpeerNextRate, opts ...grpc.CallOption) (*DialpeerNextRate, error)
	DeleteDialpeerNextRate(ctx context.Context, in *DialpeerNextRate, opts ...grpc.CallOption) (*DialpeerNextRate, error)
	ShowVersion(ctx context.Context, in *empty.Empty, opts ...grpc.CallOption) (*Version, error)
}

type yetiClient struct {
	cc *grpc.ClientConn
}

func NewYetiClient(cc *grpc.ClientConn) YetiClient {
	return &yetiClient{cc}
}

func (c *yetiClient) GetDialpeerByID(ctx context.Context, in *ExistingDialpeer, opts ...grpc.CallOption) (*ExistingDialpeer, error) {
	out := new(ExistingDialpeer)
	err := c.cc.Invoke(ctx, "/Yeti/GetDialpeerByID", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *yetiClient) GetDialpeerByFilter(ctx context.Context, in *Filters, opts ...grpc.CallOption) (Yeti_GetDialpeerByFilterClient, error) {
	stream, err := c.cc.NewStream(ctx, &_Yeti_serviceDesc.Streams[0], "/Yeti/GetDialpeerByFilter", opts...)
	if err != nil {
		return nil, err
	}
	x := &yetiGetDialpeerByFilterClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type Yeti_GetDialpeerByFilterClient interface {
	Recv() (*ExistingDialpeer, error)
	grpc.ClientStream
}

type yetiGetDialpeerByFilterClient struct {
	grpc.ClientStream
}

func (x *yetiGetDialpeerByFilterClient) Recv() (*ExistingDialpeer, error) {
	m := new(ExistingDialpeer)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *yetiClient) CreateDialpeer(ctx context.Context, in *Dialpeer, opts ...grpc.CallOption) (*ExistingDialpeer, error) {
	out := new(ExistingDialpeer)
	err := c.cc.Invoke(ctx, "/Yeti/CreateDialpeer", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *yetiClient) UpdateDialpeer(ctx context.Context, in *ExistingDialpeer, opts ...grpc.CallOption) (*ExistingDialpeer, error) {
	out := new(ExistingDialpeer)
	err := c.cc.Invoke(ctx, "/Yeti/UpdateDialpeer", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *yetiClient) CreateDialpeerNextRate(ctx context.Context, in *DialpeerNextRate, opts ...grpc.CallOption) (*DialpeerNextRate, error) {
	out := new(DialpeerNextRate)
	err := c.cc.Invoke(ctx, "/Yeti/CreateDialpeerNextRate", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *yetiClient) GetDialpeerNextRate(ctx context.Context, in *DialpeerNextRate, opts ...grpc.CallOption) (*DialpeerNextRate, error) {
	out := new(DialpeerNextRate)
	err := c.cc.Invoke(ctx, "/Yeti/GetDialpeerNextRate", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *yetiClient) ListDialpeerNextRate(ctx context.Context, in *DialpeerNextRate, opts ...grpc.CallOption) (Yeti_ListDialpeerNextRateClient, error) {
	stream, err := c.cc.NewStream(ctx, &_Yeti_serviceDesc.Streams[1], "/Yeti/ListDialpeerNextRate", opts...)
	if err != nil {
		return nil, err
	}
	x := &yetiListDialpeerNextRateClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type Yeti_ListDialpeerNextRateClient interface {
	Recv() (*DialpeerNextRate, error)
	grpc.ClientStream
}

type yetiListDialpeerNextRateClient struct {
	grpc.ClientStream
}

func (x *yetiListDialpeerNextRateClient) Recv() (*DialpeerNextRate, error) {
	m := new(DialpeerNextRate)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *yetiClient) UpdateDialpeerNextRate(ctx context.Context, in *DialpeerNextRate, opts ...grpc.CallOption) (*DialpeerNextRate, error) {
	out := new(DialpeerNextRate)
	err := c.cc.Invoke(ctx, "/Yeti/UpdateDialpeerNextRate", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *yetiClient) DeleteDialpeerNextRate(ctx context.Context, in *DialpeerNextRate, opts ...grpc.CallOption) (*DialpeerNextRate, error) {
	out := new(DialpeerNextRate)
	err := c.cc.Invoke(ctx, "/Yeti/DeleteDialpeerNextRate", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *yetiClient) ShowVersion(ctx context.Context, in *empty.Empty, opts ...grpc.CallOption) (*Version, error) {
	out := new(Version)
	err := c.cc.Invoke(ctx, "/Yeti/ShowVersion", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// YetiServer is the server API for Yeti service.
type YetiServer interface {
	GetDialpeerByID(context.Context, *ExistingDialpeer) (*ExistingDialpeer, error)
	GetDialpeerByFilter(*Filters, Yeti_GetDialpeerByFilterServer) error
	CreateDialpeer(context.Context, *Dialpeer) (*ExistingDialpeer, error)
	UpdateDialpeer(context.Context, *ExistingDialpeer) (*ExistingDialpeer, error)
	CreateDialpeerNextRate(context.Context, *DialpeerNextRate) (*DialpeerNextRate, error)
	GetDialpeerNextRate(context.Context, *DialpeerNextRate) (*DialpeerNextRate, error)
	ListDialpeerNextRate(*DialpeerNextRate, Yeti_ListDialpeerNextRateServer) error
	UpdateDialpeerNextRate(context.Context, *DialpeerNextRate) (*DialpeerNextRate, error)
	DeleteDialpeerNextRate(context.Context, *DialpeerNextRate) (*DialpeerNextRate, error)
	ShowVersion(context.Context, *empty.Empty) (*Version, error)
}

func RegisterYetiServer(s *grpc.Server, srv YetiServer) {
	s.RegisterService(&_Yeti_serviceDesc, srv)
}

func _Yeti_GetDialpeerByID_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ExistingDialpeer)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(YetiServer).GetDialpeerByID(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/Yeti/GetDialpeerByID",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(YetiServer).GetDialpeerByID(ctx, req.(*ExistingDialpeer))
	}
	return interceptor(ctx, in, info, handler)
}

func _Yeti_GetDialpeerByFilter_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(Filters)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(YetiServer).GetDialpeerByFilter(m, &yetiGetDialpeerByFilterServer{stream})
}

type Yeti_GetDialpeerByFilterServer interface {
	Send(*ExistingDialpeer) error
	grpc.ServerStream
}

type yetiGetDialpeerByFilterServer struct {
	grpc.ServerStream
}

func (x *yetiGetDialpeerByFilterServer) Send(m *ExistingDialpeer) error {
	return x.ServerStream.SendMsg(m)
}

func _Yeti_CreateDialpeer_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Dialpeer)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(YetiServer).CreateDialpeer(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/Yeti/CreateDialpeer",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(YetiServer).CreateDialpeer(ctx, req.(*Dialpeer))
	}
	return interceptor(ctx, in, info, handler)
}

func _Yeti_UpdateDialpeer_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ExistingDialpeer)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(YetiServer).UpdateDialpeer(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/Yeti/UpdateDialpeer",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(YetiServer).UpdateDialpeer(ctx, req.(*ExistingDialpeer))
	}
	return interceptor(ctx, in, info, handler)
}

func _Yeti_CreateDialpeerNextRate_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DialpeerNextRate)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(YetiServer).CreateDialpeerNextRate(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/Yeti/CreateDialpeerNextRate",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(YetiServer).CreateDialpeerNextRate(ctx, req.(*DialpeerNextRate))
	}
	return interceptor(ctx, in, info, handler)
}

func _Yeti_GetDialpeerNextRate_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DialpeerNextRate)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(YetiServer).GetDialpeerNextRate(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/Yeti/GetDialpeerNextRate",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(YetiServer).GetDialpeerNextRate(ctx, req.(*DialpeerNextRate))
	}
	return interceptor(ctx, in, info, handler)
}

func _Yeti_ListDialpeerNextRate_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(DialpeerNextRate)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(YetiServer).ListDialpeerNextRate(m, &yetiListDialpeerNextRateServer{stream})
}

type Yeti_ListDialpeerNextRateServer interface {
	Send(*DialpeerNextRate) error
	grpc.ServerStream
}

type yetiListDialpeerNextRateServer struct {
	grpc.ServerStream
}

func (x *yetiListDialpeerNextRateServer) Send(m *DialpeerNextRate) error {
	return x.ServerStream.SendMsg(m)
}

func _Yeti_UpdateDialpeerNextRate_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DialpeerNextRate)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(YetiServer).UpdateDialpeerNextRate(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/Yeti/UpdateDialpeerNextRate",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(YetiServer).UpdateDialpeerNextRate(ctx, req.(*DialpeerNextRate))
	}
	return interceptor(ctx, in, info, handler)
}

func _Yeti_DeleteDialpeerNextRate_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DialpeerNextRate)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(YetiServer).DeleteDialpeerNextRate(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/Yeti/DeleteDialpeerNextRate",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(YetiServer).DeleteDialpeerNextRate(ctx, req.(*DialpeerNextRate))
	}
	return interceptor(ctx, in, info, handler)
}

func _Yeti_ShowVersion_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(empty.Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(YetiServer).ShowVersion(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/Yeti/ShowVersion",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(YetiServer).ShowVersion(ctx, req.(*empty.Empty))
	}
	return interceptor(ctx, in, info, handler)
}

var _Yeti_serviceDesc = grpc.ServiceDesc{
	ServiceName: "Yeti",
	HandlerType: (*YetiServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GetDialpeerByID",
			Handler:    _Yeti_GetDialpeerByID_Handler,
		},
		{
			MethodName: "CreateDialpeer",
			Handler:    _Yeti_CreateDialpeer_Handler,
		},
		{
			MethodName: "UpdateDialpeer",
			Handler:    _Yeti_UpdateDialpeer_Handler,
		},
		{
			MethodName: "CreateDialpeerNextRate",
			Handler:    _Yeti_CreateDialpeerNextRate_Handler,
		},
		{
			MethodName: "GetDialpeerNextRate",
			Handler:    _Yeti_GetDialpeerNextRate_Handler,
		},
		{
			MethodName: "UpdateDialpeerNextRate",
			Handler:    _Yeti_UpdateDialpeerNextRate_Handler,
		},
		{
			MethodName: "DeleteDialpeerNextRate",
			Handler:    _Yeti_DeleteDialpeerNextRate_Handler,
		},
		{
			MethodName: "ShowVersion",
			Handler:    _Yeti_ShowVersion_Handler,
		},
	},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "GetDialpeerByFilter",
			Handler:       _Yeti_GetDialpeerByFilter_Handler,
			ServerStreams: true,
		},
		{
			StreamName:    "ListDialpeerNextRate",
			Handler:       _Yeti_ListDialpeerNextRate_Handler,
			ServerStreams: true,
		},
	},
	Metadata: "yeti.proto",
}

func init() { proto.RegisterFile("yeti.proto", fileDescriptor_yeti_f0809be79be55f05) }

var fileDescriptor_yeti_f0809be79be55f05 = []byte{
	// 1443 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xac, 0x57, 0xed, 0x6e, 0xdb, 0x36,
	0x17, 0x86, 0x9d, 0x2f, 0xfb, 0x38, 0x71, 0x1c, 0xa6, 0x6f, 0xaa, 0x3a, 0xed, 0x1b, 0xd7, 0xfd,
	0x98, 0x17, 0x54, 0x4e, 0x91, 0x0e, 0x1b, 0xd6, 0xa1, 0xdd, 0xda, 0xa6, 0xe9, 0x02, 0xb4, 0xdd,
	0xa0, 0x75, 0x03, 0xb6, 0x3f, 0x02, 0x23, 0xd1, 0x0e, 0x11, 0xda, 0x12, 0x28, 0x3a, 0x89, 0xaf,
	0x64, 0x7f, 0x77, 0x1d, 0xbb, 0x83, 0x61, 0x57, 0xb2, 0xbb, 0x18, 0xf8, 0x25, 0x5b, 0x92, 0x9d,
	0x26, 0xc5, 0xfe, 0x99, 0xcf, 0x79, 0xce, 0x87, 0xc8, 0xc3, 0xc3, 0xc7, 0x00, 0x63, 0x22, 0x68,
	0x37, 0xe6, 0x91, 0x88, 0x9a, 0x3b, 0xfd, 0x28, 0xea, 0x33, 0xb2, 0xa7, 0x56, 0xc7, 0xa3, 0xde,
	0x9e, 0xa0, 0x03, 0x92, 0x08, 0x3c, 0x88, 0x0d, 0x61, 0x3b, 0x4f, 0x20, 0x83, 0x58, 0x8c, 0xb5,
	0xb1, 0xfd, 0x67, 0x15, 0x2a, 0x07, 0x14, 0xb3, 0x98, 0x10, 0x8e, 0x1c, 0x58, 0x21, 0x43, 0x7c,
	0xcc, 0x48, 0xe8, 0x94, 0x5a, 0xa5, 0x4e, 0xc5, 0xb3, 0x4b, 0xb4, 0x03, 0xb5, 0x20, 0x1a, 0x0e,
	0x49, 0x20, 0xfc, 0x1e, 0x21, 0x4e, 0xb9, 0x55, 0xea, 0x94, 0x3d, 0x30, 0xd0, 0x21, 0x21, 0xe8,
	0x2e, 0xac, 0xd2, 0x21, 0x15, 0x14, 0x33, 0x9f, 0x63, 0x41, 0x9c, 0x05, 0xc5, 0xa8, 0x19, 0xcc,
	0xc3, 0x82, 0xa0, 0xcf, 0xa1, 0x61, 0x29, 0x74, 0x28, 0x08, 0x3f, 0xc3, 0xcc, 0x59, 0x6c, 0x95,
	0x3a, 0x4b, 0xde, 0xba, 0xc1, 0x8f, 0x0c, 0x8c, 0xee, 0xc1, 0xda, 0x90, 0x5c, 0x88, 0x09, 0x6f,
	0x49, 0xf1, 0x56, 0x25, 0x98, 0x92, 0xb6, 0xa1, 0xaa, 0x48, 0x2a, 0xdf, 0xb2, 0xca, 0x57, 0x91,
	0x80, 0x4a, 0xf6, 0x35, 0xc0, 0x19, 0x66, 0x34, 0xf4, 0x7b, 0x3c, 0x1a, 0x38, 0x2b, 0xad, 0x52,
	0xa7, 0xb6, 0xdf, 0xec, 0xea, 0x9d, 0xe8, 0xda, 0x9d, 0xe8, 0x7e, 0xb0, 0x5b, 0xe5, 0x55, 0x15,
	0xfb, 0x90, 0x47, 0x83, 0x89, 0xab, 0xa0, 0x8c, 0x39, 0x95, 0x2b, 0xba, 0x7e, 0xa0, 0x8c, 0xa1,
	0x2d, 0x58, 0x8e, 0x39, 0xe9, 0xd1, 0x0b, 0xa7, 0xda, 0x2a, 0x75, 0xaa, 0x9e, 0x59, 0xa1, 0x0e,
	0x34, 0x12, 0x1e, 0xf8, 0x9c, 0x9c, 0x73, 0x2a, 0x88, 0xcf, 0x47, 0x8c, 0x38, 0xa0, 0x18, 0xf5,
	0x84, 0x07, 0x9e, 0x86, 0xbd, 0x11, 0x23, 0xe8, 0x11, 0xa0, 0x0c, 0x93, 0x24, 0x23, 0x26, 0x9c,
	0x9a, 0xe2, 0x36, 0xa6, 0xb8, 0x0a, 0x97, 0x71, 0xc3, 0x44, 0x64, 0xe3, 0xae, 0xea, 0xb8, 0x61,
	0x22, 0x72, 0x71, 0x33, 0x4c, 0x1d, 0x77, 0x4d, 0xc7, 0x9d, 0xe2, 0xea, 0xb8, 0xdb, 0x50, 0xc5,
	0x41, 0xe8, 0x33, 0x3a, 0xa0, 0xc2, 0xa9, 0xeb, 0xad, 0xc5, 0x41, 0xf8, 0x56, 0xae, 0x95, 0x31,
	0xe1, 0xc6, 0xb8, 0x6e, 0x8c, 0x09, 0xd7, 0xc6, 0x2d, 0x58, 0x66, 0x51, 0x70, 0x4a, 0x42, 0xa7,
	0xa1, 0x3a, 0xc8, 0xac, 0x50, 0x13, 0x2a, 0x31, 0xa7, 0x11, 0xa7, 0x62, 0xec, 0x6c, 0xa8, 0xc3,
	0x4c, 0xd7, 0xe8, 0x33, 0x58, 0x27, 0x17, 0x01, 0x1b, 0x25, 0xf4, 0x8c, 0xf8, 0x3c, 0x1a, 0x09,
	0xe2, 0x20, 0xe5, 0x5c, 0x4f, 0x61, 0x4f, 0xa2, 0x32, 0x48, 0x80, 0x63, 0x1c, 0xc8, 0x20, 0x9b,
	0x3a, 0x88, 0x5d, 0xa3, 0x2e, 0x6c, 0xb2, 0x80, 0xab, 0x66, 0xf0, 0x07, 0x23, 0x26, 0x68, 0xcc,
	0x28, 0xe1, 0xce, 0x0d, 0x55, 0xdf, 0x06, 0x0b, 0xb8, 0x6c, 0x8b, 0x77, 0xa9, 0x01, 0xdd, 0x87,
	0x7a, 0x2f, 0xe2, 0x01, 0xf1, 0x4f, 0xa8, 0x69, 0xa1, 0xff, 0x29, 0xea, 0xaa, 0x42, 0xbf, 0xa7,
	0xba, 0x8d, 0x76, 0x61, 0x63, 0x48, 0xc4, 0x79, 0xc4, 0x4f, 0x7d, 0x7d, 0x94, 0x3e, 0x0d, 0x9d,
	0x2d, 0xdd, 0xb4, 0xc6, 0xf0, 0xa3, 0xc2, 0x8f, 0x42, 0xd9, 0x37, 0x01, 0x27, 0x58, 0x90, 0xd0,
	0xc7, 0xc2, 0xb9, 0xf9, 0xf1, 0xbe, 0x31, 0xec, 0x17, 0x42, 0xa6, 0x49, 0x4e, 0x22, 0x2e, 0xfc,
	0x00, 0x33, 0x96, 0x98, 0xad, 0x75, 0x54, 0x3d, 0xeb, 0xca, 0xf0, 0x4a, 0xe2, 0x7a, 0x87, 0x77,
	0xa0, 0x46, 0x2e, 0x04, 0xe1, 0x43, 0x79, 0x8f, 0x42, 0xe7, 0x96, 0x3a, 0x42, 0xb0, 0xd0, 0x51,
	0x88, 0x1e, 0xc2, 0xba, 0xdc, 0x44, 0x3a, 0xec, 0xfb, 0x02, 0xf7, 0x7d, 0x1a, 0x26, 0x4e, 0xb3,
	0xb5, 0xd0, 0x59, 0xf2, 0xd6, 0x0c, 0xfc, 0x01, 0xf7, 0x8f, 0xc2, 0x44, 0x5e, 0x32, 0xcb, 0xeb,
	0xf3, 0x68, 0x14, 0x3b, 0xdb, 0xfa, 0x92, 0x19, 0xf0, 0x8d, 0xc4, 0xe4, 0x79, 0x9e, 0x91, 0x61,
	0x18, 0x71, 0xe7, 0xb6, 0xb2, 0x9a, 0x95, 0x1c, 0x15, 0x38, 0x08, 0xa2, 0xd1, 0x50, 0x38, 0x77,
	0x94, 0xc1, 0x2e, 0xa5, 0xa5, 0x8f, 0x05, 0x39, 0xc7, 0x63, 0xe7, 0xff, 0xda, 0x62, 0x96, 0x32,
	0xa1, 0xf9, 0x69, 0x12, 0xee, 0xe8, 0x84, 0x06, 0xd4, 0x09, 0x77, 0x61, 0x63, 0xba, 0xfa, 0x41,
	0x14, 0x92, 0xc4, 0x69, 0xe9, 0x1d, 0x9f, 0xd4, 0xff, 0x4e, 0xc2, 0xed, 0x27, 0xb0, 0xfe, 0x9e,
	0x9c, 0x1f, 0x60, 0x81, 0x5f, 0x0f, 0xcf, 0x08, 0x8b, 0x62, 0x82, 0x5a, 0xb0, 0x18, 0x62, 0x81,
	0xd5, 0xfc, 0xaa, 0xed, 0xaf, 0x76, 0xa5, 0xdd, 0x8c, 0x37, 0x4f, 0x59, 0xda, 0xbf, 0x97, 0xa0,
	0x36, 0x85, 0x22, 0x04, 0x8b, 0x62, 0x1c, 0x13, 0xe5, 0x51, 0xf5, 0xd4, 0x6f, 0xf4, 0x04, 0x00,
	0x0b, 0xc1, 0xe9, 0xf1, 0x48, 0x90, 0x44, 0x4d, 0xbb, 0xda, 0xfe, 0x66, 0xd7, 0xba, 0xbc, 0x48,
	0x4d, 0xde, 0x14, 0x0d, 0x7d, 0x0b, 0x6b, 0x9c, 0x30, 0x2c, 0x68, 0x34, 0x4c, 0x4e, 0x68, 0x9c,
	0xa8, 0x19, 0x58, 0xdb, 0xbf, 0x95, 0xa9, 0x61, 0x9a, 0xe0, 0x65, 0xf9, 0xed, 0x7d, 0x58, 0xb5,
	0x76, 0xf9, 0x4d, 0x33, 0x2b, 0xab, 0x43, 0x99, 0x86, 0xaa, 0xa2, 0x25, 0xaf, 0x4c, 0xc3, 0xf6,
	0x33, 0x58, 0xb3, 0x3e, 0x6f, 0xe9, 0xf0, 0x34, 0x91, 0x4e, 0x09, 0x61, 0x3d, 0xeb, 0x24, 0x7f,
	0xcb, 0x23, 0x51, 0x99, 0x88, 0xf6, 0xac, 0x7a, 0x76, 0xd9, 0x76, 0xa1, 0x62, 0xdd, 0xd1, 0xdd,
	0xcc, 0xd6, 0xad, 0x75, 0xa7, 0x6b, 0x31, 0x7b, 0xf7, 0x4f, 0x09, 0x9c, 0x79, 0x5f, 0x83, 0xf6,
	0xf2, 0xfd, 0xa4, 0x03, 0x55, 0xd3, 0x40, 0x69, 0x03, 0xba, 0xca, 0x8e, 0xee, 0xa6, 0xbd, 0x55,
	0xce, 0x33, 0x6d, 0x9b, 0xdd, 0x9b, 0xb4, 0xd9, 0x42, 0x9e, 0x93, 0x76, 0xdc, 0xbd, 0x49, 0xc7,
	0x2d, 0x16, 0x48, 0xb6, 0xf9, 0xf6, 0xf2, 0xcd, 0xb7, 0x54, 0xa8, 0xce, 0xd8, 0x75, 0x75, 0xed,
	0x67, 0x70, 0xe3, 0xf5, 0x05, 0x4d, 0x64, 0xbd, 0x99, 0x0e, 0x7b, 0x90, 0xd9, 0xa6, 0x8d, 0x6e,
	0x4a, 0xca, 0xb6, 0xd9, 0x29, 0x34, 0xf2, 0x96, 0xff, 0xae, 0xd5, 0x74, 0x17, 0x2c, 0xa8, 0x30,
	0xb2, 0x0b, 0xbe, 0x83, 0x9b, 0x6f, 0x69, 0x22, 0x7e, 0xe8, 0xe5, 0x53, 0x26, 0x53, 0xe5, 0x2e,
	0x5c, 0x56, 0xee, 0x1f, 0x15, 0x40, 0xc5, 0xa4, 0x97, 0x28, 0x82, 0xd6, 0x2c, 0x45, 0x60, 0x21,
	0xb7, 0x47, 0x08, 0x6a, 0xcf, 0x94, 0x04, 0x16, 0x73, 0xb9, 0x9e, 0xaf, 0xf3, 0x34, 0x81, 0xc5,
	0x5d, 0x8b, 0xa3, 0xfb, 0xb3, 0x45, 0x81, 0x02, 0x27, 0xac, 0xdb, 0x45, 0x55, 0xa0, 0x00, 0x9d,
	0xef, 0xe9, 0x35, 0x65, 0x81, 0x66, 0xbb, 0x92, 0x3d, 0xf1, 0xbd, 0xa2, 0x2e, 0x30, 0xbe, 0xe2,
	0x32, 0x61, 0xb0, 0x3b, 0x57, 0x18, 0x48, 0xdc, 0x35, 0xb8, 0x2b, 0x71, 0xd4, 0xbd, 0x44, 0x1a,
	0xa0, 0x0c, 0x5b, 0x3f, 0xe2, 0xbb, 0x73, 0xc5, 0x81, 0xc4, 0x0b, 0xb1, 0xe7, 0xca, 0x03, 0x94,
	0x61, 0xeb, 0xd8, 0xb7, 0x8b, 0x02, 0x41, 0x02, 0xae, 0x02, 0x94, 0x35, 0xa7, 0x10, 0x24, 0x60,
	0xac, 0x9f, 0x22, 0x11, 0x3a, 0xf3, 0x24, 0xc2, 0x04, 0x76, 0xf9, 0x47, 0x35, 0xc2, 0xe3, 0xcb,
	0x34, 0x82, 0x34, 0xa9, 0x26, 0x71, 0x27, 0x26, 0xf4, 0x70, 0x8e, 0x4a, 0xd0, 0xa8, 0x7b, 0x42,
	0x4d, 0x5f, 0x3d, 0x9a, 0xaf, 0x13, 0xac, 0xc1, 0xd5, 0x06, 0x97, 0x86, 0xb2, 0x93, 0xae, 0xa5,
	0x14, 0x2c, 0xdb, 0xc5, 0x42, 0x66, 0x9a, 0x27, 0x15, 0xb4, 0xc1, 0x55, 0x06, 0xb3, 0xd7, 0xad,
	0x59, 0x62, 0x21, 0x85, 0x64, 0x2d, 0x9d, 0x79, 0x6a, 0xc1, 0xc2, 0xae, 0xc0, 0x7d, 0x97, 0x86,
	0x49, 0xfb, 0x21, 0x34, 0xec, 0x84, 0x78, 0x6f, 0x65, 0xf6, 0x8c, 0x89, 0xd6, 0xfe, 0xab, 0x0c,
	0xcd, 0x3c, 0x71, 0x6a, 0xa4, 0x64, 0x2e, 0x68, 0x29, 0x7f, 0x41, 0xf3, 0x43, 0xa3, 0x7c, 0xc5,
	0xa1, 0xb1, 0x70, 0xd5, 0xa1, 0xb1, 0x38, 0x6b, 0x68, 0xe4, 0x86, 0xd9, 0x52, 0x71, 0x98, 0x3d,
	0x05, 0xc0, 0x71, 0xcc, 0xc6, 0xbe, 0xfc, 0x77, 0xa5, 0xe6, 0xca, 0x47, 0x8e, 0x4c, 0xb1, 0x5d,
	0xc9, 0x56, 0x5a, 0x29, 0x96, 0xfd, 0x14, 0xaa, 0x89, 0x53, 0xf1, 0xec, 0x32, 0xaf, 0xe5, 0x2a,
	0x79, 0x2d, 0xd7, 0x3e, 0x84, 0x3b, 0xf9, 0xad, 0xcc, 0x3e, 0xba, 0x0f, 0xa0, 0x12, 0x1a, 0x42,
	0xf1, 0xbd, 0x4d, 0x4d, 0x93, 0x07, 0x22, 0x1f, 0xad, 0xf8, 0x40, 0x14, 0xf2, 0xe9, 0x07, 0x82,
	0xc1, 0xca, 0x21, 0x65, 0x42, 0x3e, 0x29, 0x93, 0x61, 0x56, 0xca, 0x0c, 0xb3, 0xdc, 0xd7, 0x94,
	0x0b, 0xca, 0xb4, 0x03, 0x8d, 0x8c, 0x42, 0xf0, 0xd3, 0x47, 0xac, 0x3e, 0x2d, 0x3a, 0x8f, 0xc2,
	0xf6, 0x2d, 0x58, 0xf9, 0x85, 0xf0, 0x44, 0xca, 0x12, 0xfd, 0xd6, 0x95, 0xec, 0x5b, 0xb7, 0xff,
	0xf7, 0x22, 0x2c, 0xfe, 0x4a, 0x04, 0x45, 0x5f, 0xc1, 0xfa, 0x1b, 0x22, 0x6c, 0xb9, 0x2f, 0xc7,
	0x47, 0x07, 0xa8, 0xf8, 0xbc, 0x35, 0x8b, 0x10, 0xfa, 0x02, 0x36, 0x33, 0x8e, 0xfa, 0xbb, 0x50,
	0xa5, 0x6b, 0x3e, 0x70, 0x86, 0xcf, 0xe3, 0x12, 0xea, 0x42, 0xfd, 0x95, 0xba, 0x86, 0x69, 0x9c,
	0x6a, 0xf7, 0xb2, 0x2c, 0x5f, 0x42, 0xfd, 0xe7, 0x38, 0x9c, 0xe6, 0x5f, 0xad, 0xba, 0xe7, 0xb0,
	0x95, 0xcd, 0x93, 0x5e, 0xb6, 0xe2, 0xd9, 0x34, 0x8b, 0x10, 0xfa, 0x26, 0xf3, 0x75, 0xd7, 0x74,
	0x7e, 0x0e, 0x37, 0x64, 0x9f, 0x7c, 0x9a, 0xf7, 0xe3, 0x92, 0x2c, 0x3e, 0xfb, 0xd1, 0xd7, 0xce,
	0xbf, 0x75, 0x40, 0x18, 0xf9, 0x64, 0xff, 0x3d, 0xa8, 0xfd, 0x74, 0x12, 0x9d, 0xdb, 0xde, 0xd9,
	0x2a, 0xdc, 0xd0, 0xd7, 0x83, 0x58, 0x8c, 0x9b, 0x95, 0xae, 0x61, 0xbc, 0x84, 0xdf, 0x2a, 0xd6,
	0x76, 0xbc, 0xac, 0x7e, 0x3d, 0xf9, 0x37, 0x00, 0x00, 0xff, 0xff, 0x1a, 0xd6, 0x32, 0x72, 0x5e,
	0x11, 0x00, 0x00,
}
